Subject: Re: [PATCH net-next v5 13/14] libie: add per-queue Page Pool stats

From: Jakub Kicinski <[email-masked]>
Date: Wed, 29 Nov 2023 06:29:14 -0800

On Wed, 29 Nov 2023 14:40:33 +0100 Alexander Lobakin wrote:
> > Expand the libie generic per-queue stats with the generic Page Pool
> > stats provided by the API itself, when CONFIG_PAGE_POOL_STATS is
> > enabled. When it's not, there'll be no such fields in the stats
> > structure, so no space wasted.  
> 
> Do I get it correctly that after Page Pool Netlink introspection was
> merged, this commit makes no sense and we shouln't add PP stats to the
> drivers private ones?

Yes, 100%.

FWIW I am aware that better tooling would be good so non-developers
could access to the PP Netlink :(  I'm thinking we should clean up 
YNL lib packaging a little and try to convince iproute2 maintainers 
to accept simple CLI built on top of it.